public static interface JGroupsEndpointBuilderFactory.JGroupsBuilders
| Modifier and Type | Method and Description |
|---|---|
default JGroupsEndpointBuilderFactory.JGroupsEndpointBuilder |
jgroups(String path)
JGroups (camel-jgroups)
Exchange messages with JGroups clusters.
|
default JGroupsEndpointBuilderFactory.JGroupsEndpointBuilder |
jgroups(String componentName,
String path)
JGroups (camel-jgroups)
Exchange messages with JGroups clusters.
|
default JGroupsEndpointBuilderFactory.JGroupsEndpointBuilder jgroups(String path)
jgroups:clusterName
Path parameter: clusterName (required)
The name of the JGroups cluster the component should connect to.path - clusterNamedefault JGroupsEndpointBuilderFactory.JGroupsEndpointBuilder jgroups(String componentName, String path)
jgroups:clusterName
Path parameter: clusterName (required)
The name of the JGroups cluster the component should connect to.componentName - to use a custom component name for the endpoint
instead of the default namepath - clusterNameApache Camel